#!/bin/sh

VERSION="$(echo $1 | jq -Rr @html)"
BINARY='runsc'
SHIM='containerd-shim-runsc-v1'
URL_BASE="https://storage.googleapis.com/gvisor/releases/release/"
URL="${URL_BASE}${VERSION}/$(uname -m)/"
URL_X64="${URL_BASE}${VERSION}/x86_64/"
URL_ARM="${URL_BASE}${VERSION}/aarch64/"

STATUS=$(curl -s -o /dev/null -I -w "%{http_code}" "${URL}${BINARY}")
EXIT=0

case $STATUS in
	200)
		echo "Release: ${VERSION}"
		echo ""
		echo "x86_64 sha512:"
		echo "$(curl -s ${URL_X64}${BINARY}.sha512)"
		echo "$(curl -s ${URL_X64}${SHIM}.sha512)"
		echo ""
		echo "aarch64 sha512:"
		echo "$(curl -s ${URL_ARM}${BINARY}.sha512)"
		echo "$(curl -s ${URL_ARM}${SHIM}.sha512)"
		;;
	404)
		echo "Release ${VERSION} not found"
		EXIT=1
		;;
	*)
		echo "Error occured with status ${STATUS}"
		EXIT=2
		;;
esac

exit $EXIT
